#include <stdio.h>

void check_luhn() {
    unsigned long sum1 = 0, sum2 = 0, n = 0;
    for (;;) {
        int ch = getchar();
        if (ch < 48 || ch > 57) {
            while (ch != EOF && ch != 10) {
                ch = getchar();
            }
            if (n & 1) {
                sum1 = sum2;
            }
            if (sum1 % 10) {
                printf("Invalid\n");
                return;
            } else {
                printf("Valid\n");
                return;
            }
        }
        ch -= 48;
        if ((n++) & 1) {
            sum1 += ch;
            ch *= 2;
            sum2 += ch - (ch > 9 ? 9 : 0);
        } else {
            sum2 += ch;
            ch *= 2;
            sum1 += ch - (ch > 9 ? 9 : 0);
        }
    }
}

int main() {
    unsigned n;
    scanf("%u ", &n);
    for (int i = 0; i < n; ++i) {
        check_luhn();
    }
    return 0;
}
